import { NgZone } from '@angular/core';
import { Subject } from 'rxjs';
import { YouTubePlayer } from '../../yt-player';
import { StateChange } from '../../domain';
export declare class EventsRegistry {
    private ngZone;
    stateChange$: Subject<StateChange>;
    constructor(ngZone: NgZone);
    private eventHandlers;
    register(player: YouTubePlayer): void;
    private broadcastStatusChange;
}
