(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('rxjs'), require('events'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('yt-player-angular', ['exports', '@angular/core', 'rxjs', 'events', '@angular/common'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['yt-player-angular'] = {}, global.ng.core, global.rxjs, global.events, global.ng.common));
}(this, (function (exports, i0, rxjs, events, common) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    ;
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    function loadScript(src) {
        return new Promise(function (resolve, reject) {
            var script = createScriptElement();
            script.src = src;
            script.onload = function () {
                resolve(script);
            };
            script.onerror = function () {
                reject(new Error("Failed to load " + src));
            };
            getHeadElement().appendChild(script);
        });
    }
    function createScriptElement() {
        var s = document.createElement('script');
        s.async = true;
        return s;
    }
    function getHeadElement() {
        return document.head || document.getElementsByTagName('head')[0];
    }

    var YOUTUBE_IFRAME_API_SRC = 'https://www.youtube.com/iframe_api';
    var YOUTUBE_STATES = {
        '-1': 'unstarted',
        0: 'ended',
        1: 'playing',
        2: 'paused',
        3: 'buffering',
        5: 'cued',
    };
    var YOUTUBE_ERROR = {
        // The request contains an invalid parameter value. For example, this error
        // occurs if you specify a videoId that does not have 11 characters, or if the
        // videoId contains invalid characters, such as exclamation points or asterisks.
        INVALID_PARAM: 2,
        // The requested content cannot be played in an HTML5 player or another error
        // related to the HTML5 player has occurred.
        HTML5_ERROR: 5,
        // The video requested was not found. This error occurs when a video has been
        // removed (for any reason) or has been marked as private.
        NOT_FOUND: 100,
        // The owner of the requested video does not allow it to be played in embedded
        // players.
        UNPLAYABLE_1: 101,
        // This error is the same as 101. It's just a 101 error in disguise!
        UNPLAYABLE_2: 150,
    };
    var loadIframeAPICallbacks = [];
    var YouTubePlayer = /** @class */ (function (_super) {
        __extends(YouTubePlayer, _super);
        function YouTubePlayer(element, opts) {
            var _this = _super.call(this) || this;
            var elem = typeof element === 'string' ? document.querySelector(element) : element;
            if (elem.id) {
                _this._id = elem.id; // use existing element id
            }
            else {
                _this._id = elem.id = 'ytplayer-' + Math.random().toString(16).slice(2, 8);
            }
            _this._opts = Object.assign({
                width: 640,
                height: 360,
                autoplay: false,
                captions: undefined,
                controls: true,
                keyboard: true,
                fullscreen: true,
                annotations: true,
                modestBranding: false,
                related: true,
                timeupdateFrequency: 1000,
                playsInline: true,
                start: 0,
            }, opts);
            _this.videoId = null;
            _this.destroyed = false;
            _this._api = null;
            _this._autoplay = false; // autoplay the first video?
            _this._player = null;
            _this._ready = false; // is player ready?
            _this._queue = [];
            _this._interval = null;
            // Setup listeners for 'timeupdate' events. The YouTube Player does not fire
            // 'timeupdate' events, so they are simulated using a setInterval().
            _this._startInterval = _this._startInterval.bind(_this);
            _this._stopInterval = _this._stopInterval.bind(_this);
            _super.prototype.on.call(_this, 'playing', _this._startInterval);
            _super.prototype.on.call(_this, 'unstarted', _this._stopInterval);
            _super.prototype.on.call(_this, 'ended', _this._stopInterval);
            _super.prototype.on.call(_this, 'paused', _this._stopInterval);
            _super.prototype.on.call(_this, 'buffering', _this._stopInterval);
            _this._loadIframeAPI(function (err, api) {
                if (err) {
                    return _this._destroy(new Error('YouTube Iframe API failed to load'));
                }
                _this._api = api;
                // If load(videoId, [autoplay, [size]]) was called before Iframe API
                // loaded, ensure it gets called again now
                if (_this.videoId) {
                    _this.load(_this.videoId, _this._autoplay, _this._start);
                }
            });
            return _this;
        }
        Object.defineProperty(YouTubePlayer.prototype, "_window", {
            get: function () {
                return window;
            },
            enumerable: false,
            configurable: true
        });
        YouTubePlayer.prototype.load = function (videoId, autoplay, start) {
            if (autoplay === void 0) { autoplay = false; }
            if (start === void 0) { start = 0; }
            if (this.destroyed) {
                return;
            }
            this.videoId = videoId;
            this._autoplay = autoplay;
            this._start = start;
            // If the Iframe API is not ready yet, do nothing. Once the Iframe API is
            // ready, `load(this.videoId)` will be called.
            if (!this._api) {
                return;
            }
            // If there is no player instance, create one.
            if (!this._player) {
                this._createPlayer(videoId);
                return;
            }
            // If the player instance is not ready yet, do nothing. Once the player
            // instance is ready, `load(this.videoId)` will be called. This ensures that
            // the last call to `load()` is the one that takes effect.
            if (!this._ready) {
                return;
            }
            // If the player instance is ready, load the given `videoId`.
            if (autoplay) {
                this._player.loadVideoById(videoId, start);
            }
            else {
                this._player.cueVideoById(videoId, start);
            }
        };
        YouTubePlayer.prototype.play = function () {
            if (this._ready) {
                this._player.playVideo();
            }
            else {
                this._queueCommand('play');
            }
        };
        YouTubePlayer.prototype.pause = function () {
            if (this._ready) {
                this._player.pauseVideo();
            }
            else {
                this._queueCommand('pause');
            }
        };
        YouTubePlayer.prototype.stop = function () {
            if (this._ready) {
                this._player.stopVideo();
            }
            else {
                this._queueCommand('stop');
            }
        };
        YouTubePlayer.prototype.seek = function (seconds) {
            if (this._ready) {
                this._player.seekTo(seconds, true);
            }
            else {
                this._queueCommand('seek', seconds);
            }
        };
        YouTubePlayer.prototype.setVolume = function (volume) {
            if (this._ready) {
                this._player.setVolume(volume);
            }
            else {
                this._queueCommand('setVolume', volume);
            }
        };
        YouTubePlayer.prototype.getVolume = function () {
            return (this._ready && this._player.getVolume()) || 0;
        };
        YouTubePlayer.prototype.mute = function () {
            if (this._ready) {
                this._player.mute();
            }
            else {
                this._queueCommand('mute');
            }
        };
        YouTubePlayer.prototype.unMute = function () {
            if (this._ready) {
                this._player.unMute();
            }
            else {
                this._queueCommand('unMute');
            }
        };
        YouTubePlayer.prototype.isMuted = function () {
            return (this._ready && this._player.isMuted()) || false;
        };
        YouTubePlayer.prototype.setSize = function (width, height) {
            if (this._ready) {
                this._player.setSize(width, height);
            }
            else {
                this._queueCommand('setSize', width, height);
            }
        };
        YouTubePlayer.prototype.setPlaybackRate = function (rate) {
            if (this._ready) {
                this._player.setPlaybackRate(rate);
            }
            else {
                this._queueCommand('setPlaybackRate', rate);
            }
        };
        YouTubePlayer.prototype.setPlaybackQuality = function (suggestedQuality) {
            if (this._ready) {
                this._player.setPlaybackQuality(suggestedQuality);
            }
            else {
                this._queueCommand('setPlaybackQuality', suggestedQuality);
            }
        };
        YouTubePlayer.prototype.getPlaybackRate = function () {
            return (this._ready && this._player.getPlaybackRate()) || 1;
        };
        YouTubePlayer.prototype.getAvailablePlaybackRates = function () {
            return (this._ready && this._player.getAvailablePlaybackRates()) || [1];
        };
        YouTubePlayer.prototype.getDuration = function () {
            return (this._ready && this._player.getDuration()) || 0;
        };
        YouTubePlayer.prototype.getProgress = function () {
            return (this._ready && this._player.getVideoLoadedFraction()) || 0;
        };
        YouTubePlayer.prototype.getState = function () {
            return ((this._ready && YOUTUBE_STATES[this._player.getPlayerState()]) ||
                'unstarted');
        };
        YouTubePlayer.prototype.getCurrentTime = function () {
            return (this._ready && this._player.getCurrentTime()) || 0;
        };
        YouTubePlayer.prototype.destroy = function () {
            this._destroy();
        };
        YouTubePlayer.prototype.on = function (event, listener) {
            return _super.prototype.on.call(this, event, listener);
        };
        YouTubePlayer.prototype._destroy = function (err) {
            if (this.destroyed) {
                return;
            }
            this.destroyed = true;
            if (this._player) {
                // tslint:disable-next-line: no-unused-expression
                this._player.stopVideo && this._player.stopVideo();
                this._player.destroy();
            }
            this.videoId = null;
            this._id = null;
            this._opts = null;
            this._api = null;
            this._player = null;
            this._ready = false;
            this._queue = null;
            this._stopInterval();
            _super.prototype.removeListener.call(this, 'playing', this._startInterval);
            _super.prototype.removeListener.call(this, 'paused', this._stopInterval);
            _super.prototype.removeListener.call(this, 'buffering', this._stopInterval);
            _super.prototype.removeListener.call(this, 'unstarted', this._stopInterval);
            _super.prototype.removeListener.call(this, 'ended', this._stopInterval);
            if (err) {
                _super.prototype.emit.call(this, 'error', err);
            }
        };
        YouTubePlayer.prototype._queueCommand = function (command) {
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            if (this.destroyed) {
                return;
            }
            this._queue.push([command, args]);
        };
        YouTubePlayer.prototype._flushQueue = function () {
            while (this._queue.length) {
                var command = this._queue.shift();
                this[command[0]].apply(this, command[1]);
            }
        };
        YouTubePlayer.prototype._loadIframeAPI = function (cb) {
            var _this = this;
            // If API is loaded, there is nothing else to do
            if (this._window.YT && typeof this._window.YT.Player === 'function') {
                return cb(null, this._window.YT);
            }
            // Otherwise, queue callback until API is loaded
            loadIframeAPICallbacks.push(cb);
            var scripts = Array.from(document.getElementsByTagName('script'));
            var isLoading = scripts.some(function (script) { return script.src === YOUTUBE_IFRAME_API_SRC; });
            // If API <script> tag is not present in the page, inject it. Ensures that
            // if user includes a hardcoded <script> tag in HTML for performance, another
            // one will not be added
            if (!isLoading) {
                loadScript(YOUTUBE_IFRAME_API_SRC).catch(function (err) {
                    while (loadIframeAPICallbacks.length) {
                        var loadCb = loadIframeAPICallbacks.shift();
                        loadCb(err);
                    }
                });
            }
            var prevOnYouTubeIframeAPIReady = this._window.onYouTubeIframeAPIReady;
            this._window.onYouTubeIframeAPIReady = function () {
                if (typeof prevOnYouTubeIframeAPIReady === 'function') {
                    prevOnYouTubeIframeAPIReady();
                }
                while (loadIframeAPICallbacks.length) {
                    var loadCb = loadIframeAPICallbacks.shift();
                    loadCb(null, _this._window.YT);
                }
            };
        };
        YouTubePlayer.prototype._createPlayer = function (videoId) {
            var _this = this;
            if (this.destroyed) {
                return;
            }
            var opts = this._opts;
            this._player = new this._api.Player(this._id, {
                width: opts.width,
                height: opts.height,
                videoId: videoId,
                // (Not part of documented API) This parameter controls the hostname that
                // videos are loaded from. Set to `'https://www.youtube-nocookie.com'`
                // for enhanced privacy.
                host: opts.host,
                playerVars: {
                    // This parameter specifies whether the initial video will automatically
                    // start to play when the player loads. Supported values are 0 or 1. The
                    // default value is 0.
                    autoplay: opts.autoplay ? 1 : 0,
                    // Setting the parameter's value to 1 causes closed captions to be shown
                    // by default, even if the user has turned captions off. The default
                    // behavior is based on user preference.
                    cc_load_policy: opts.captions != null ? (opts.captions !== false ? 1 : 0) : undefined,
                    // Sets the player's interface language. The parameter value is an ISO
                    // 639-1 two-letter language code or a fully specified locale. For
                    // example, fr and fr-ca are both valid values. Other language input
                    // codes, such as IETF language tags (BCP 47) might also be handled
                    // properly.
                    hl: opts.captions != null && opts.captions !== false
                        ? opts.captions
                        : undefined,
                    // This parameter specifies the default language that the player will
                    // use to display captions. Set the parameter's value to an ISO 639-1
                    // two-letter language code.
                    cc_lang_pref: opts.captions != null && opts.captions !== false
                        ? opts.captions
                        : undefined,
                    // This parameter indicates whether the video player controls are
                    // displayed. For IFrame embeds that load a Flash player, it also defines
                    // when the controls display in the player as well as when the player
                    // will load. Supported values are:
                    //   - controls=0 – Player controls do not display in the player. For
                    //                  IFrame embeds, the Flash player loads immediately.
                    //   - controls=1 – (default) Player controls display in the player. For
                    //                  IFrame embeds, the controls display immediately and
                    //                  the Flash player also loads immediately.
                    //   - controls=2 – Player controls display in the player. For IFrame
                    //                  embeds, the controls display and the Flash player
                    //                  loads after the user initiates the video playback.
                    controls: opts.controls ? 2 : 0,
                    // Setting the parameter's value to 1 causes the player to not respond to
                    // keyboard controls. The default value is 0, which means that keyboard
                    // controls are enabled.
                    disablekb: opts.keyboard ? 0 : 1,
                    // Setting the parameter's value to 1 enables the player to be
                    // controlled via IFrame or JavaScript Player API calls. The default
                    // value is 0, which means that the player cannot be controlled using
                    // those APIs.
                    enablejsapi: 1,
                    // Setting this parameter to 0 prevents the fullscreen button from
                    // displaying in the player. The default value is 1, which causes the
                    // fullscreen button to display.
                    fs: opts.fullscreen ? 1 : 0,
                    // Setting the parameter's value to 1 causes video annotations to be
                    // shown by default, whereas setting to 3 causes video annotations to not
                    // be shown by default. The default value is 1.
                    iv_load_policy: opts.annotations ? 1 : 3,
                    // This parameter lets you use a YouTube player that does not show a
                    // YouTube logo. Set the parameter value to 1 to prevent the YouTube logo
                    // from displaying in the control bar. Note that a small YouTube text
                    // label will still display in the upper-right corner of a paused video
                    // when the user's mouse pointer hovers over the player.
                    modestbranding: opts.modestBranding ? 1 : 0,
                    // This parameter provides an extra security measure for the IFrame API
                    // and is only supported for IFrame embeds. If you are using the IFrame
                    // API, which means you are setting the enablejsapi parameter value to 1,
                    // you should always specify your domain as the origin parameter value.
                    origin: this._window.location.origin,
                    // This parameter controls whether videos play inline or fullscreen in an
                    // HTML5 player on iOS. Valid values are:
                    //   - 0: This value causes fullscreen playback. This is currently the
                    //        default value, though the default is subject to change.
                    //   - 1: This value causes inline playback for UIWebViews created with
                    //        the allowsInlineMediaPlayback property set to TRUE.
                    playsinline: opts.playsInline ? 1 : 0,
                    // This parameter indicates whether the player should show related
                    // videos from the same channel (0) or from any channel (1) when
                    // playback of the video ends. The default value is 1.
                    rel: opts.related ? 1 : 0,
                    // (Not part of documented API) Allow html elements with higher z-index
                    // to be shown on top of the YouTube player.
                    wmode: 'opaque',
                    // This parameter causes the player to begin playing the video at the given number
                    // of seconds from the start of the video. The parameter value is a positive integer.
                    // Note that similar to the seek function, the player will look for the closest
                    // keyframe to the time you specify. This means that sometimes the play head may seek
                    // to just before the requested time, usually no more than around two seconds.
                    start: opts.start,
                },
                events: {
                    onReady: function () { return _this._onReady(videoId); },
                    onStateChange: function (data) { return _this._onStateChange(data); },
                    onPlaybackQualityChange: function (data) { return _this._onPlaybackQualityChange(data); },
                    onPlaybackRateChange: function (data) { return _this._onPlaybackRateChange(data); },
                    onError: function (data) { return _this._onError(data); },
                },
            });
        };
        /**
         * This event fires when the player has finished loading and is ready to begin
         * receiving API calls.
         */
        YouTubePlayer.prototype._onReady = function (videoId) {
            if (this.destroyed) {
                return;
            }
            this._ready = true;
            // Once the player is ready, always call `load(videoId, [autoplay, [size]])`
            // to handle these possible cases:
            //
            //   1. `load(videoId, true)` was called before the player was ready. Ensure that
            //      the selected video starts to play.
            //
            //   2. `load(videoId, false)` was called before the player was ready. Now the
            //      player is ready and there's nothing to do.
            //
            //   3. `load(videoId, [autoplay])` was called multiple times before the player
            //      was ready. Therefore, the player was initialized with the wrong videoId,
            //      so load the latest videoId and potentially autoplay it.
            this.load(this.videoId, this._autoplay, this._start);
            this._flushQueue();
        };
        /**
         * Called when the player's state changes. We emit friendly events so the user
         * doesn't need to use YouTube's YT.PlayerState.* event constants.
         */
        YouTubePlayer.prototype._onStateChange = function (data) {
            if (this.destroyed) {
                return;
            }
            var state = YOUTUBE_STATES[data.data];
            if (state) {
                // Send a 'timeupdate' anytime the state changes. When the video halts for any
                // reason ('paused', 'buffering', or 'ended') no further 'timeupdate' events
                // should fire until the video unhalts.
                if (['paused', 'buffering', 'ended'].includes(state)) {
                    this._onTimeupdate();
                }
                _super.prototype.emit.call(this, state);
                // When the video changes ('unstarted' or 'cued') or starts ('playing') then a
                // 'timeupdate' should follow afterwards (never before!) to reset the time.
                if (['unstarted', 'playing', 'cued'].includes(state)) {
                    this._onTimeupdate();
                }
            }
            else {
                throw new Error('Unrecognized state change: ' + data);
            }
        };
        /**
         * This event fires whenever the video playback quality changes. Possible
         * values are: 'small', 'medium', 'large', 'hd720', 'hd1080', 'highres'.
         */
        YouTubePlayer.prototype._onPlaybackQualityChange = function (data) {
            if (this.destroyed) {
                return;
            }
            _super.prototype.emit.call(this, 'playbackQualityChange', data.data);
        };
        /**
         * This event fires whenever the video playback rate changes.
         */
        YouTubePlayer.prototype._onPlaybackRateChange = function (data) {
            if (this.destroyed) {
                return;
            }
            _super.prototype.emit.call(this, 'playbackRateChange', data.data);
        };
        /**
         * This event fires if an error occurs in the player.
         */
        YouTubePlayer.prototype._onError = function (data) {
            if (this.destroyed) {
                return;
            }
            var code = data.data;
            // The HTML5_ERROR error occurs when the YouTube player needs to switch from
            // HTML5 to Flash to show an ad. Ignore it.
            if (code === YOUTUBE_ERROR.HTML5_ERROR) {
                return;
            }
            // The remaining error types occur when the YouTube player cannot play the
            // given video. This is not a fatal error. Report it as unplayable so the user
            // has an opportunity to play another video.
            if (code === YOUTUBE_ERROR.UNPLAYABLE_1 ||
                code === YOUTUBE_ERROR.UNPLAYABLE_2 ||
                code === YOUTUBE_ERROR.NOT_FOUND ||
                code === YOUTUBE_ERROR.INVALID_PARAM) {
                return _super.prototype.emit.call(this, 'unplayable', this.videoId);
            }
            // Unexpected error, does not match any known type
            this._destroy(new Error('YouTube Player Error. Unknown error code: ' + code));
        };
        /**
         * This event fires when the time indicated by the `getCurrentTime()` method
         * has been updated.
         */
        YouTubePlayer.prototype._onTimeupdate = function () {
            _super.prototype.emit.call(this, 'timeupdate', this.getCurrentTime());
        };
        YouTubePlayer.prototype._startInterval = function () {
            var _this = this;
            this._interval = setInterval(function () { return _this._onTimeupdate(); }, this._opts.timeupdateFrequency);
        };
        YouTubePlayer.prototype._stopInterval = function () {
            clearInterval(this._interval);
            this._interval = null;
        };
        return YouTubePlayer;
    }(events.EventEmitter));

    var YtPlayerEvent;
    (function (YtPlayerEvent) {
        YtPlayerEvent["ERROR"] = "error";
        YtPlayerEvent["UNPLAYABLE"] = "unplayable";
        YtPlayerEvent["UNSTARTED"] = "unstarted";
        YtPlayerEvent["ENDED"] = "ended";
        YtPlayerEvent["PLAYING"] = "playing";
        YtPlayerEvent["PAUSED"] = "paused";
        YtPlayerEvent["BUFFERING"] = "buffering";
        YtPlayerEvent["CUED"] = "cued";
        YtPlayerEvent["PLAYBACK_QUALITY_CHANGE"] = "playbackQualityChange";
        YtPlayerEvent["PLAYBACK_RATE_CHANGE"] = "playbackRateChange";
        YtPlayerEvent["TIMEUPDATE"] = "timeupdate";
    })(YtPlayerEvent || (YtPlayerEvent = {}));

    (function (PlaybackQuality) {
        PlaybackQuality["Small"] = "small";
        PlaybackQuality["Medium"] = "medium";
        PlaybackQuality["Large"] = "large";
        PlaybackQuality["Hd720"] = "hd720";
        PlaybackQuality["Hd1080"] = "hd1080";
        PlaybackQuality["HighRes"] = "highres";
        PlaybackQuality["Default"] = "default";
    })(exports.PlaybackQuality || (exports.PlaybackQuality = {}));

    (function (PlayerState) {
        PlayerState[PlayerState["Unstarted"] = 0] = "Unstarted";
        PlayerState[PlayerState["Ended"] = 1] = "Ended";
        PlayerState[PlayerState["Playing"] = 2] = "Playing";
        PlayerState[PlayerState["Paused"] = 3] = "Paused";
        PlayerState[PlayerState["Buffering"] = 4] = "Buffering";
        PlayerState[PlayerState["Cued"] = 5] = "Cued";
    })(exports.PlayerState || (exports.PlayerState = {}));

    (function (StateChangeType) {
        StateChangeType[StateChangeType["Error"] = 0] = "Error";
        StateChangeType[StateChangeType["Unplayable"] = 1] = "Unplayable";
        StateChangeType[StateChangeType["Unstarted"] = 2] = "Unstarted";
        StateChangeType[StateChangeType["Ended"] = 3] = "Ended";
        StateChangeType[StateChangeType["Started"] = 4] = "Started";
        StateChangeType[StateChangeType["PlaybackProgress"] = 5] = "PlaybackProgress";
        StateChangeType[StateChangeType["Paused"] = 6] = "Paused";
        StateChangeType[StateChangeType["Buffering"] = 7] = "Buffering";
        StateChangeType[StateChangeType["Cued"] = 8] = "Cued";
        StateChangeType[StateChangeType["QualityChanged"] = 9] = "QualityChanged";
        StateChangeType[StateChangeType["RateChanged"] = 10] = "RateChanged";
    })(exports.StateChangeType || (exports.StateChangeType = {}));

    var EventsRegistry = /** @class */ (function () {
        function EventsRegistry(ngZone) {
            var _this = this;
            this.ngZone = ngZone;
            this.stateChange$ = new rxjs.Subject();
            this.eventHandlers = new Map([
                [
                    YtPlayerEvent.ERROR,
                    function (err) { return _this.broadcastStatusChange(exports.StateChangeType.Error, err); },
                ],
                [
                    YtPlayerEvent.UNPLAYABLE,
                    function (videoId) { return _this.broadcastStatusChange(exports.StateChangeType.Unplayable, videoId); },
                ],
                [
                    YtPlayerEvent.UNSTARTED,
                    function () { return _this.broadcastStatusChange(exports.StateChangeType.Unstarted); },
                ],
                [
                    YtPlayerEvent.ENDED,
                    function () { return _this.broadcastStatusChange(exports.StateChangeType.Ended); },
                ],
                [
                    YtPlayerEvent.PLAYING,
                    function () { return _this.broadcastStatusChange(exports.StateChangeType.Started); },
                ],
                [
                    YtPlayerEvent.PAUSED,
                    function () { return _this.broadcastStatusChange(exports.StateChangeType.Paused); },
                ],
                [
                    YtPlayerEvent.BUFFERING,
                    function () { return _this.broadcastStatusChange(exports.StateChangeType.Buffering); },
                ],
                [
                    YtPlayerEvent.CUED,
                    function () { return _this.broadcastStatusChange(exports.StateChangeType.Cued); },
                ],
                [
                    YtPlayerEvent.PLAYBACK_QUALITY_CHANGE,
                    function (quality) { return _this.broadcastStatusChange(exports.StateChangeType.QualityChanged, quality); },
                ],
                [
                    YtPlayerEvent.PLAYBACK_RATE_CHANGE,
                    function (rate) { return _this.broadcastStatusChange(exports.StateChangeType.RateChanged, rate); },
                ],
                [
                    YtPlayerEvent.TIMEUPDATE,
                    function (time) { return _this.broadcastStatusChange(exports.StateChangeType.PlaybackProgress, time); },
                ],
            ]);
        }
        EventsRegistry.prototype.register = function (player) {
            this.eventHandlers.forEach(function (eventHandler, eventName) {
                player.on(eventName, eventHandler);
            });
        };
        EventsRegistry.prototype.broadcastStatusChange = function (type, payload) {
            var _this = this;
            var runOutsideAngular = this.ngZone
                ? function (fun) { return _this.ngZone.runOutsideAngular(fun); }
                : function (fun) { return fun(); };
            runOutsideAngular(function () { return _this.stateChange$.next({ type: type, payload: payload }); });
        };
        return EventsRegistry;
    }());
    EventsRegistry.ɵprov = i0.ɵɵdefineInjectable({ factory: function EventsRegistry_Factory() { return new EventsRegistry(i0.ɵɵinject(i0.NgZone, 8)); }, token: EventsRegistry, providedIn: "root" });
    EventsRegistry.decorators = [
        { type: i0.Injectable, args: [{ providedIn: 'root' },] }
    ];
    EventsRegistry.ctorParameters = function () { return [
        { type: i0.NgZone, decorators: [{ type: i0.Optional }] }
    ]; };

    var YtPlayerWrapperService = /** @class */ (function () {
        function YtPlayerWrapperService() {
        }
        YtPlayerWrapperService.prototype.createInstance = function (htmlId, playerOptions) {
            return new YouTubePlayer(htmlId, playerOptions);
        };
        return YtPlayerWrapperService;
    }());
    YtPlayerWrapperService.ɵprov = i0.ɵɵdefineInjectable({ factory: function YtPlayerWrapperService_Factory() { return new YtPlayerWrapperService(); }, token: YtPlayerWrapperService, providedIn: "root" });
    YtPlayerWrapperService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];

    var YtPlayerService = /** @class */ (function () {
        function YtPlayerService(ytPlayerWrapper, eventsRegistry) {
            this.ytPlayerWrapper = ytPlayerWrapper;
            this.eventsRegistry = eventsRegistry;
        }
        Object.defineProperty(YtPlayerService.prototype, "stateChange$", {
            get: function () {
                return this.eventsRegistry.stateChange$.asObservable();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(YtPlayerService.prototype, "destroyed", {
            get: function () {
                return this.player.destroyed;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(YtPlayerService.prototype, "videoId", {
            get: function () {
                return this.player.videoId;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(YtPlayerService.prototype, "player", {
            get: function () {
                return this.ytPlayer;
            },
            set: function (value) {
                this.ytPlayer = value;
            },
            enumerable: false,
            configurable: true
        });
        YtPlayerService.prototype.init = function (htmlId, playerOptions) {
            this.setUpPlayer(htmlId, playerOptions);
            this.eventsRegistry.register(this.player);
        };
        YtPlayerService.prototype.load = function (videoId) {
            var autoplay = this.playerOptions && this.playerOptions.autoplay;
            this.player.load(videoId, autoplay);
        };
        YtPlayerService.prototype.play = function () {
            this.player.play();
        };
        YtPlayerService.prototype.pause = function () {
            this.player.pause();
        };
        YtPlayerService.prototype.stop = function () {
            this.player.stop();
        };
        YtPlayerService.prototype.seek = function (seconds) {
            this.player.seek(seconds);
        };
        YtPlayerService.prototype.setVolume = function (value) {
            if (value > 100) {
                console.warn("Provided value " + value + " exceeds max value. 100 used instead");
            }
            this.player.setVolume(value);
        };
        YtPlayerService.prototype.getVolume = function () {
            return this.player.getVolume();
        };
        YtPlayerService.prototype.mute = function () {
            this.player.mute();
        };
        YtPlayerService.prototype.unMute = function () {
            this.player.unMute();
        };
        YtPlayerService.prototype.isMuted = function () {
            return this.player.isMuted();
        };
        YtPlayerService.prototype.setSize = function (width, height) {
            this.player.setSize(width, height);
        };
        YtPlayerService.prototype.setPlaybackRate = function (rate) {
            this.player.setPlaybackRate(rate);
        };
        YtPlayerService.prototype.setPlaybackQuality = function (sugestedQuality) {
            this.player.setPlaybackQuality(sugestedQuality);
        };
        YtPlayerService.prototype.getPlaybackRate = function () {
            return this.player.getPlaybackRate();
        };
        YtPlayerService.prototype.getAvailablePlaybackRates = function () {
            return this.player.getAvailablePlaybackRates();
        };
        YtPlayerService.prototype.getDuration = function () {
            return this.player.getDuration();
        };
        YtPlayerService.prototype.getBufferingProgress = function () {
            return this.player.getProgress();
        };
        YtPlayerService.prototype.getState = function () {
            return this.player.getState();
        };
        YtPlayerService.prototype.getCurrentTime = function () {
            return this.player.getCurrentTime();
        };
        YtPlayerService.prototype.destroy = function () {
            this.player.destroy();
        };
        YtPlayerService.prototype.setUpPlayer = function (htmlId, playerOptions) {
            this.playerOptions = playerOptions;
            this.player = this.ytPlayerWrapper.createInstance(htmlId, playerOptions);
        };
        return YtPlayerService;
    }());
    YtPlayerService.ɵprov = i0.ɵɵdefineInjectable({ factory: function YtPlayerService_Factory() { return new YtPlayerService(i0.ɵɵinject(YtPlayerWrapperService), i0.ɵɵinject(EventsRegistry)); }, token: YtPlayerService, providedIn: "root" });
    YtPlayerService.decorators = [
        { type: i0.Injectable, args: [{ providedIn: 'root' },] }
    ];
    YtPlayerService.ctorParameters = function () { return [
        { type: YtPlayerWrapperService },
        { type: EventsRegistry }
    ]; };

    var IdGeneratorService = /** @class */ (function () {
        function IdGeneratorService() {
            this.charCodes = { a: 65, z: 90 };
            this.idLength = 8;
        }
        IdGeneratorService.prototype.generate = function () {
            var _this = this;
            return __spread(Array(this.idLength).keys()).reduce(function (acc) { return "" + acc + _this.getRandomLetter(); }, '');
        };
        IdGeneratorService.prototype.getRandomLetter = function () {
            var charCode = this.getRandomIntInRange(this.charCodes.a, this.charCodes.z);
            return String.fromCharCode(charCode);
        };
        IdGeneratorService.prototype.getRandomIntInRange = function (min, max) {
            return Math.floor(Math.random() * (max - min + 1)) + min;
        };
        return IdGeneratorService;
    }());
    IdGeneratorService.ɵprov = i0.ɵɵdefineInjectable({ factory: function IdGeneratorService_Factory() { return new IdGeneratorService(); }, token: IdGeneratorService, providedIn: "root" });
    IdGeneratorService.decorators = [
        { type: i0.Injectable, args: [{ providedIn: 'root' },] }
    ];

    var QueueService = /** @class */ (function () {
        function QueueService() {
            this.queue = new Map();
        }
        QueueService.prototype.enqueue = function (task) {
            var key = this.generateKey();
            this.addTask(key, task);
        };
        QueueService.prototype.dequeue = function () {
            var task = this.getAndRemoveFromQueue();
            this.execute(task);
        };
        QueueService.prototype.addTask = function (key, task) {
            this.queue.set(key, task);
        };
        QueueService.prototype.generateKey = function () {
            return this.queue.size + 1;
        };
        QueueService.prototype.getAndRemoveFromQueue = function () {
            var latestKey = this.queue.size;
            var task = this.queue.get(latestKey);
            this.queue.delete(latestKey);
            return task;
        };
        QueueService.prototype.execute = function (task) {
            if (task && typeof task === 'function') {
                task();
            }
        };
        return QueueService;
    }());
    QueueService.ɵprov = i0.ɵɵdefineInjectable({ factory: function QueueService_Factory() { return new QueueService(); }, token: QueueService, providedIn: "root" });
    QueueService.decorators = [
        { type: i0.Injectable, args: [{ providedIn: 'root' },] }
    ];

    var YtPlayerComponent = /** @class */ (function () {
        function YtPlayerComponent(ytPlayerService, idGeneratorService, queueService) {
            this.ytPlayerService = ytPlayerService;
            this.idGeneratorService = idGeneratorService;
            this.queueService = queueService;
            this.stateChange = new i0.EventEmitter();
            this.errorMessage = 'Player not initialized. Did you specify [videoId] input property of yt-player-component?';
        }
        YtPlayerComponent.prototype.ngOnInit = function () {
            this.setUpElementRefId();
            this.dequeuePlayerInitialization();
            this.loadVideo();
            this.subscribeToStateChanges();
        };
        YtPlayerComponent.prototype.ngOnChanges = function () {
            if (!this.videoIdIsDefined()) {
                return;
            }
            else if (this.elementRefIdIsDefined()) {
                this.reloadVideo();
            }
            else {
                this.enqueuePlayerInitialization();
            }
        };
        YtPlayerComponent.prototype.ngOnDestroy = function () {
            this.ytPlayerService.destroy();
            this.stateChangeSubscription.unsubscribe();
        };
        YtPlayerComponent.prototype.setUpElementRefId = function () {
            var id = this.idGeneratorService.generate();
            this.ytHtmlElementHook.nativeElement.setAttribute('id', id);
        };
        YtPlayerComponent.prototype.videoIdIsDefined = function () {
            return !!this.videoId;
        };
        YtPlayerComponent.prototype.elementRefIdIsDefined = function () {
            return (this.ytHtmlElementHook.nativeElement &&
                this.ytHtmlElementHook.nativeElement.getAttribute('id'));
        };
        YtPlayerComponent.prototype.initializePlayer = function () {
            var id = this.ytHtmlElementHook.nativeElement.getAttribute('id');
            this.ytPlayerService.init("#" + id, this.options);
        };
        YtPlayerComponent.prototype.loadVideo = function () {
            try {
                this.ytPlayerService.load(this.videoId);
            }
            catch (err) {
                console.error(this.errorMessage);
            }
        };
        YtPlayerComponent.prototype.reloadVideo = function () {
            this.ytPlayerService.destroy();
            this.initializePlayer();
            this.loadVideo();
        };
        YtPlayerComponent.prototype.enqueuePlayerInitialization = function () {
            var _this = this;
            this.queueService.enqueue(function () { return _this.initializePlayer(); });
        };
        YtPlayerComponent.prototype.dequeuePlayerInitialization = function () {
            this.queueService.dequeue();
        };
        YtPlayerComponent.prototype.subscribeToStateChanges = function () {
            var _this = this;
            this.stateChangeSubscription = this.ytPlayerService.stateChange$.subscribe(function (stateChange) { return _this.stateChange.emit(stateChange); });
        };
        return YtPlayerComponent;
    }());
    YtPlayerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'yt-player',
                    template: " <div #ytHtmlElementHook></div> "
                },] }
    ];
    YtPlayerComponent.ctorParameters = function () { return [
        { type: YtPlayerService },
        { type: IdGeneratorService },
        { type: QueueService }
    ]; };
    YtPlayerComponent.propDecorators = {
        videoId: [{ type: i0.Input }],
        options: [{ type: i0.Input }],
        stateChange: [{ type: i0.Output }],
        ytHtmlElementHook: [{ type: i0.ViewChild, args: ['ytHtmlElementHook', { static: true },] }]
    };

    var YtPlayerAngularModule = /** @class */ (function () {
        function YtPlayerAngularModule() {
        }
        return YtPlayerAngularModule;
    }());
    YtPlayerAngularModule.decorators = [
        { type: i0.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [YtPlayerComponent],
                    exports: [YtPlayerComponent],
                },] }
    ];

    /*
     * Public API Surface of yt-player-angular
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.YtPlayerAngularModule = YtPlayerAngularModule;
    exports.YtPlayerComponent = YtPlayerComponent;
    exports.YtPlayerService = YtPlayerService;
    exports.ɵa = YtPlayerWrapperService;
    exports.ɵb = EventsRegistry;
    exports.ɵc = IdGeneratorService;
    exports.ɵd = QueueService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=yt-player-angular.umd.js.map
